#!/bin/bash

HEIGHT=16
WIDTH=80
CHOICE_HEIGHT=5
BACKTITLE="MNT VA2000 Firmware Flasher"
TITLE="MNT VA2000 Firmware 1.9.0"
MENU="Connect VA2000 via USB and select a feature combination:"

OPTIONS=("va2000-z3-75clk-32mb.bit" "Amiga 3/4000, 32MB VRAM, 1280x720/1024x768"
         "va2000-z3-100clk-32mb.bit" "Amiga 3/4000, 32MB VRAM, 1280x1024"
         "va2000-z2-75clk-4mb.bit" "Amiga   2000,  4MB VRAM, 1280x720/1024x768" 
         "va2000-z2-100clk-4mb.bit" "Amiga   2000,  4MB VRAM, 1280x1024"
         "va2000-z2-75clk-2mb.bit" "Amiga   2000,  2MB VRAM, 1280x720/1024x768")

dialog --clear \
       --backtitle "$BACKTITLE" \
       --title "$TITLE" \
       --menu "$MENU" \
       $HEIGHT $WIDTH $CHOICE_HEIGHT \
       "${OPTIONS[@]}" 2>bitfile-choice

if [ "$?" != "0" ] ; then exit ; fi

BITFILE=$(cat bitfile-choice)
echo Flashing VA2000 Firmware: $BITFILE...
echo

cd xc3sprog
sudo ./xc3sprog -c ftdi spiflasherLX25.bit
sudo ./xc3sprog -c ftdi -I ../$BITFILE
sudo ./xc3sprog -c ftdi ../$BITFILE
cd ..
